curl --request GET \
--url https://api.bctrl.ai/v1/discover/catalog \
--header 'Authorization: Bearer <token>'{
"version": "<string>",
"generatedAt": "<string>",
"domains": [
{
"name": "<string>",
"description": "<string>",
"operations": [
{
"id": "<string>",
"domain": "<string>",
"method": "<string>",
"path": "<string>",
"summary": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"params": [
"<string>"
],
"requestFields": [
"<string>"
]
}
]
}
]
}Get the full structured catalog of available API operations
curl --request GET \
--url https://api.bctrl.ai/v1/discover/catalog \
--header 'Authorization: Bearer <token>'{
"version": "<string>",
"generatedAt": "<string>",
"domains": [
{
"name": "<string>",
"description": "<string>",
"operations": [
{
"id": "<string>",
"domain": "<string>",
"method": "<string>",
"path": "<string>",
"summary": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"params": [
"<string>"
],
"requestFields": [
"<string>"
]
}
]
}
]
}const response = await fetch('https://api.bctrl.ai/v1/discover/catalog', {
headers: { Authorization: `Bearer ${apiKey}` },
});
const catalog = await response.json();
for (const domain of catalog.domains) {
console.log(domain.name, '-', domain.operations.length, 'operations');
}
automation, sessions, profiles, storage, vault).Show domains
Show operations
automation.call).GET, POST, PUT, PATCH, DELETE)./v1/sessions/{id}/automation).{
"version": "2026-02-16",
"generatedAt": "2026-03-01T12:00:00Z",
"domains": [
{
"name": "sessions",
"description": "Ephemeral browser sessions",
"operations": [
{
"id": "sessions.create",
"domain": "sessions",
"method": "POST",
"path": "/v1/sessions",
"summary": "Create a new session",
"tags": [],
"params": [],
"requestFields": [
"options"
]
}
]
}
]
}